Subject: bug#9684: Emacs 23.3 and 24.0.90 don't build on IRIX 6.5

From: Rainer Orth <[email-masked]>
Date: Thu, 31 Jan 2013 13:10:02 +0100

Hi Glenn,

> Have you been able to make any progress with this?
> We hope to release Emacs 24.3 in the not-too-distant future, and it
> would be nice to fix this there, if possible and appropriate.

not really: I've just tried to build emacs 24.2.92 and see similar
successes and failures as with 24.0.90:

* building with gcc 3.1 and MIPSpro 7.4.4m cc produces a working emacs

* building with gcc 3.4 or 4.6 yields the same error as before.

> If you are not able to look into this, it's fine, since you seem to be
> approximately the only person using Emacs on IRIX these days, so don't
> feel pressured to spends ages on it. :)

I suppose I'll be content with having a gcc 3.1-built emacs 24.3 if need
be.  Given that gcc 4.7 was the last release to support IRIX 6.5, I've
not much time for IRIX issues left.

	Rainer